#!/usr/bin/env python3
from flask import request, jsonify
from flask_classful import FlaskView, route
from model import db
from utils import json_required

import requests.exceptions


class ModelView(FlaskView):

    def post(self):
        return jsonify({})

    def get(self, _id: str):
        return jsonify({"id": _id})

    @route('<_id>/details')
    def get_details(self, _id: str):
        return jsonify({"id": _id})

    def delete(self, _id: str):
        return jsonify({"id": _id})

    @route('$default', methods=['PUT'])
    def put_default(self):
        return jsonify({})
